Selection colour could be above polygon points
Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14391

Description

When using the "Select Single Feature" button on a map that is zoomed out it is almost impossible in some case to see the actual

selection as the polygon points are to many. The suggestion is to make the selection the top layer so that it will show above the polygon

points. Please see the attached image as an example. It is possible to see the selection better when zooming in but this is not nessearily

convenient when you want to select a large number of polygons over a big area for which you would need to be zoomed out.

History

#1 - 2011-10-29 06:49 PM - Nathan Woodrow

IMO making the polygon edit points below the selection is impractical as it would make editing hard.

This is simply a scale issue when in edit mode and not every operation works at every scale.  I would suggest turning off editing when you need to select

something at such large scales.

#2 - 2011-10-30 03:50 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2011-10-30 12:54 PM - Gerhardus Geldenhuis

Turning off editing would defy the point. When I submitted this suggestion I was trying to merge a number of polygons that represent a river into one

section. I had to zoom out to see all of the sections. If you are not in edit mode then you can't merge/edit anything. Perhaps such a feature could be scale

dependant?

#4 - 2011-12-09 08:30 AM - Paolo Cavallini

- Category set to GUI

#5 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#6 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2014-09-26 01:00 AM - Denis Rouzaud

- Status changed from Feedback to Closed
